%define	major 6
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

%define milter	1

%{?_with_milter:   %{expand: %%global milter 1}}
%{?_without_milter:   %{expand: %%global milter 0}}

%if %mandriva_branch == Cooker
# Cooker
%define release %mkrel 2
%else
# Old distros
%define subrel 2
%define release %mkrel 0
%endif

Summary:	An anti-virus utility for Unix
Name:		clamav
Version:	0.97.5
Release:	%release
License:	GPL
Group:		File tools
URL:		http://clamav.sourceforge.net/
#Source1:	http://www.clamav.net/%{name}-%{version}.tar.gz.sig
# clamav-0.95+ bundles support for RAR v3 in "libclamav" without permission,
# from Eugene Roshal of RARlabs. There is also patent issues involved.
#
# https://bugzilla.redhat.com/show_bug.cgi?id=334371
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=312552
#
# Both Redhat and debian removes this code from the upstream tar ball
# and repackages it.
Source0:	%{name}-%{version}-norar.tar.gz
Source2:	clamav-clamd.init
Source3:	clamav-clamd.logrotate
Source4:	clamav-freshclamd.init
Source5:	clamav-freshclam.logrotate
Source6:	clamav-milter.init
Source7:	clamav-milter.sysconfig
Source8:	clamav-milter.logrotate
Source9:	clamav-clamd.sysconfig
Source10:	clamav-freshclam.sysconfig
Patch0:		clamav-mdv_conf.diff
Patch1:		clamav-0.95-linkage_fix.diff
Patch2:		clamav-0.95-build_fix.diff
Patch10:	clamav-0.97.2-private.patch
Patch11:	clamav-0.92-open.patch
Patch12:	clamav-0.95-cliopts.patch
Patch13:	clamav-0.95rc1-umask.patch
# https://bugzilla.clamav.net/show_bug.cgi?id=5252
Patch14:	clamav-0.97.5-bug5252.diff
Requires(post): clamav-db
Requires(preun): clamav-db
Requires(post): %{libname} >= %{version}
Requires(preun): %{libname} >= %{version}
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRequires:	bc
BuildRequires:	bzip2-devel
BuildRequires:	curl-devel
BuildRequires:	ncurses-devel
BuildRequires:	tommath-devel
BuildRequires:	zlib-devel
%if %{milter}
BuildRequires:	sendmail-devel
BuildRequires:	tcp_wrappers-devel
%endif

%description
Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of this
software is the integration with mail seversions (attachment scanning). The
package provides a flexible and scalable multi-threaded daemon, a commandline
scanner, and a tool for automatic updating via Internet. The programs are based
on a shared library distributed with the Clam AntiVirus package, which you can
use in your own software.

You can build %{name} with some conditional build swithes;

(ie. use with rpm --rebuild):
    --with[out] milter	Build %{name}-milter (disabled)

%package -n	clamd
Summary:	The Clam AntiVirus Daemon
Group:		System/Servers
Requires:	%{name} >= %{version}
Requires(post): clamav-db
Requires(preun): clamav-db
Requires(post): %{libname} >= %{version}
Requires(preun): %{libname} >= %{version}
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper

%description -n	clamd
The Clam AntiVirus Daemon

%if %{milter}
%package -n	%{name}-milter
Summary:	The Clam AntiVirus milter Daemon
Group:		System/Servers
Requires:	%{name} >= %{version}
Requires:	clamd >= %{version}
Requires:	tcp_wrappers
Requires(post): clamav-db
Requires(preun): clamav-db
Requires(post): %{libname} >= %{version}
Requires(preun): %{libname} >= %{version}
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper

%description -n	%{name}-milter
The Clam AntiVirus milter Daemon
%endif

%package -n	%{name}-db
Summary:	Virus database for %{name}
Group:		Databases
Requires:	%{name} >= %{version}
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper

%description -n	%{name}-db
The actual virus database for %{name}

%package -n	%{libname}
Summary:	Shared libraries for %{name}
Group:          System/Libraries

%description -n	%{libname}
Shared libraries for %{name}

%package -n	%{develname}
Summary:	Development library and header files for the %{name} library
Group:		Development/C
Requires:	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel
Obsoletes:	%{mklibname clamav 1 -d}
Obsoletes:	%{mklibname clamav 2 -d}
Obsoletes:	%{mklibname clamav 3 -d}

%description -n	%{develname}
This package contains the development library and header files for the 
%{name} library.

%prep

%setup -q -n %{name}-%{version}

# clean up
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*` `find . -type d -name .svn`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

%patch0 -p1 -b .mdvconf
%patch1 -p1 -b .linkage_fix
%patch2 -p1 -b .build_fix

%patch10 -p1 -b .private
%patch11 -p1 -b .open
%patch12 -p1 -b .cliopts
%patch13 -p1 -b .umask
%patch14 -p1 -b .bug5252

# we can't ship libclamunrar
if [ -d libclamunrar ]; then
    echo "delete the libclamunrar directory and repackage the tar ball"
    exit 1
fi

mkdir -p libclamunrar{,_iface}
touch libclamunrar/{Makefile.in,all,install}

mkdir -p Mandriva
cp %{SOURCE2} Mandriva/clamav-clamd.init
cp %{SOURCE3} Mandriva/clamav-clamd.logrotate
cp %{SOURCE4} Mandriva/clamav-freshclamd.init
cp %{SOURCE5} Mandriva/clamav-freshclam.logrotate
cp %{SOURCE6} Mandriva/clamav-milter.init
cp %{SOURCE7} Mandriva/clamav-milter.sysconfig
cp %{SOURCE8} Mandriva/clamav-milter.logrotate
cp %{SOURCE9} Mandriva/clamav-clamd.sysconfig
cp %{SOURCE10} Mandriva/clamav-freshclam.sysconfig

%build
%serverbuild

export CFLAGS="$CFLAGS -I%{_includedir}/tommath"

# IPv6 check is buggy and does not work when there are no IPv6 interface on build machine
export have_cv_ipv6=yes

%configure2_5x \
    --localstatedir=/var/lib \
    --disable-%{name} \
    --with-user=%{name} \
    --with-group=%{name} \
    --with-dbdir=/var/lib/%{name} \
    --disable-rpath \
    --disable-zlib-vcheck \
    --disable-unrar \
    --enable-clamdtop \
    --enable-id-check \
    --enable-clamuko \
    --enable-bigstack \
    --with-zlib=%{_prefix} \
    --with-libbz2-prefix=%{_prefix} \
    --with-system-tommath \
%if %{milter}
    --enable-milter --with-tcpwrappers \
%else
    --disable-milter --without-tcpwrappers \
%endif

# anti rpath hack
perl -pi -e "s|^sys_lib_dlsearch_path_spec=.*|sys_lib_dlsearch_path_spec=\"/%{_lib} %{_libdir}\"|g" libtool

%make

%install
rm -rf %{buildroot}

%makeinstall_std

# install the init scripts
install -d %{buildroot}%{_initrddir}
install -m755 Mandriva/clamav-clamd.init %{buildroot}%{_initrddir}/clamd
install -m755 Mandriva/clamav-freshclamd.init %{buildroot}%{_initrddir}/freshclam

%if %{milter}
# install the init script
install -m755 Mandriva/clamav-milter.init %{buildroot}%{_initrddir}/clamav-milter
# install the milter config
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -m644 Mandriva/clamav-milter.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/%{name}-milter
%endif

# install config files
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -m0644 Mandriva/clamav-clamd.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/clamd
install -m0644 Mandriva/clamav-freshclam.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/freshclam

# install the logrotate stuff
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -m644 Mandriva/clamav-clamd.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/clamd
install -m644 Mandriva/clamav-freshclam.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/freshclam

%if %{milter}
install -m644 Mandriva/clamav-milter.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/clamav-milter
%endif

install -d %{buildroot}%{_var}/log/%{name}
touch %{buildroot}%{_var}/log/%{name}/freshclam.log
touch %{buildroot}%{_var}/log/%{name}/clamd.log

%if %{milter}
touch %{buildroot}%{_var}/log/%{name}/clamav-milter.log
%endif

# install config files
install -m644 etc/clamd.conf %{buildroot}%{_sysconfdir}/clamd.conf
install -m644 etc/freshclam.conf %{buildroot}%{_sysconfdir}/freshclam.conf

# pid file dir
install -d %{buildroot}%{_var}/run/%{name}

# fix TMPDIR
install -d %{buildroot}/var/lib/%{name}/tmp

cat > README.qmail+qmail-scanner <<EOF
#!/bin/sh
#
# The "temporary" qmail+qmail-scanner HOWTO
# -----------------------------------------
#
# For some unknown and undocumented reason clamdscan stopped working
# in the excellent qmail+qmail-scanner setup somewhere after the
# 20040103 CVS snapshot.
#
# To get it working again everything assigned to the clamav user has
# to be changed to the qscand user by hand.
#
# Hint: Change the config and chown the directories like this:
# (if you are lazy you could just execute this file)

perl -pi -e "s|%{name} %{name}|qscand qscand|g" %{_sysconfdir}/logrotate.d/clamd
perl -pi -e "s|%{name} %{name}|qscand qscand|g" %{_sysconfdir}/logrotate.d/freshclam
perl -pi -e "s|^User %{name}|User qscand|g" %{_sysconfdir}/clamd.conf
perl -pi -e "s|^DatabaseOwner %{name}|DatabaseOwner qscand|g" %{_sysconfdir}/freshclam.conf

chown -R qscand:qscand /var/lib/%{name}
chown -R qscand:qscand %{_var}/log/%{name}
chown -R qscand:qscand %{_var}/run/%{name}

if [ -x %{_initrddir}/clamd ]; then
    %{_initrddir}/clamd restart
fi

if [ -x %{_initrddir}/freshclam ]; then
    %{_initrddir}/freshclam restart
fi

# Regards // Oden Eriksson
EOF

cat > README.urpmi << EOF
clamav-0.95+ bundles support for RAR v3 in "libclamav" without permission,
from Eugene Roshal of RARlabs. There is also patent issues involved.

Therefore Mandriva has been forced to remove the offending code.
EOF

%multiarch_binaries %{buildroot}%{_bindir}/clamav-config

# cleanup
rm -f %{buildroot}%{_libdir}/*.*a

%pre
%_pre_useradd %{name} /var/lib/%{name} /bin/sh

if ! [ -z "`getent group amavis`" ]; then
    gpasswd -a %{name} amavis
fi

%post
%_post_service freshclam
%create_ghostfile %{_var}/log/%{name}/freshclam.log %{name} %{name} 0644

%preun
%_preun_service freshclam

%pre -n clamd
%_pre_useradd %{name} /var/lib/%{name} /bin/sh

%post -n clamd
%_post_service clamd
%create_ghostfile %{_var}/log/%{name}/clamd.log %{name} %{name} 0644

%preun -n clamd
%_preun_service clamd

%postun -n clamd
%_postun_userdel %{name}

%if %{milter}
%post -n %{name}-milter
%_post_service %{name}-milter
%create_ghostfile %{_var}/log/%{name}/clamav-milter.log %{name} %{name} 0644

%preun -n %{name}-milter
%_preun_service %{name}-milter
%endif

%pre -n %{name}-db
%_pre_useradd %{name} /var/lib/%{name} /bin/sh

%post -n %{name}-db
# try to keep most uptodate database
for i in main daily; do
	if [ -f %{_var}/lib/clamav/$i.cvd.rpmnew ]; then
		if [ %{_var}/lib/clamav/$i.cvd.rpmnew -nt %{_var}/lib/clamav/$i.cvd ]; then
			mv -f %{_var}/lib/clamav/$i.cvd.rpmnew %{_var}/lib/clamav/$i.cvd
		else
			rm -f %{_var}/lib/clamav/$i.cvd.rpmnew
		fi
	fi
done

%postun -n %{name}-db
%_postun_userdel %{name}

%files
%doc AUTHORS BUGS FAQ NEWS README test UPGRADE README.urpmi
%doc docs/*.pdf
%doc README.qmail+qmail-scanner COPYING*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/clamd.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/freshclam.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/freshclam
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/freshclam
%attr(0755,root,root) %{_initrddir}/freshclam
%{_bindir}/clambc
%{_bindir}/clamconf
%{_bindir}/clamdscan
%{_bindir}/clamdtop
%{_bindir}/clamscan
%{_bindir}/freshclam
%{_bindir}/sigtool
%{_mandir}/man1/clambc.1*
%{_mandir}/man1/clamconf.1.*
%{_mandir}/man1/clamdscan.1*
%{_mandir}/man1/clamdtop.1*
%{_mandir}/man1/clamscan.1*
%{_mandir}/man1/freshclam.1*
%{_mandir}/man1/sigtool.1*
%{_mandir}/man5/clamd.conf.5*
%{_mandir}/man5/freshclam.conf.5*
%if !%{milter}
%exclude %{_mandir}/man8/%{name}-milter.8*
%endif
%dir %attr(0755,%{name},%{name}) %{_var}/run/%{name}
%dir %attr(0755,%{name},%{name}) /var/lib/%{name}
%dir %attr(0775,%{name},%{name}) %{_var}/log/%{name}
%ghost %attr(0644,%{name},%{name}) %{_var}/log/%{name}/freshclam.log

%files -n clamd
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/clamd
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/clamd
%attr(0755,root,root) %{_initrddir}/clamd
%{_sbindir}/clamd
%{_mandir}/man8/clamd.8*
%ghost %attr(0644,%{name},%{name}) %{_var}/log/%{name}/clamd.log

%if %{milter}
%files -n %{name}-milter
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/clamav-milter.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/%{name}-milter
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/clamav-milter
%attr(0755,root,root) %{_initrddir}/%{name}-milter
%{_sbindir}/%{name}-milter
%{_mandir}/man8/%{name}-milter.8*
%{_mandir}/man5/%{name}-milter.conf.5*
%ghost %attr(0644,%{name},%{name}) %{_var}/log/%{name}/clamav-milter.log
%endif

%files -n %{name}-db
%dir %attr(0755,%{name},%{name}) /var/lib/%{name}
%attr(0644,%{name},%{name}) %config(noreplace) /var/lib/%{name}/daily.cvd
%attr(0644,%{name},%{name}) %config(noreplace) /var/lib/%{name}/main.cvd
%dir %attr(0755,%{name},%{name}) /var/lib/%{name}/tmp

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{multiarch_bindir}/clamav-config
%{_bindir}/clamav-config
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libclamav.pc


%changelog
* Thu Jul 26 2012 Oden Eriksson <oeriksson@mandriva.com> 0.97.5-2mdv2012.0
+ Revision: 811121
- P14: fix upstream issue https://bugzilla.clamav.net/show_bug.cgi?id=5252

* Sun Jun 17 2012 Oden Eriksson <oeriksson@mandriva.com> 0.97.5-1
+ Revision: 806045
- 0.97.5 (fixes CVE-2012-1457, 1458, 1459)
- the 0.97.5 version shipped with empty main.cvd and daily.cvd files. correct files were added into the tar ball... (ugly)

* Fri Mar 16 2012 Oden Eriksson <oeriksson@mandriva.com> 0.97.4-1
+ Revision: 785217
- 0.97.4

* Wed Jan 18 2012 Oden Eriksson <oeriksson@mandriva.com> 0.97.3-2
+ Revision: 762142
- various cleanups

* Tue Oct 18 2011 Oden Eriksson <oeriksson@mandriva.com> 0.97.3-1
+ Revision: 705299
- 0.97.3

* Mon Jul 25 2011 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.97.2-2
+ Revision: 691633
+ rebuild (emptylog)

* Mon Jul 25 2011 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.97.2-1
+ Revision: 691630
- P10 rediffed
- 0.97.2
- 0.97.2

* Thu Jun 09 2011 Oden Eriksson <oeriksson@mandriva.com> 0.97.1-1
+ Revision: 683493
- duh!
- 0.97.1

* Tue Feb 08 2011 Oden Eriksson <oeriksson@mandriva.com> 0.97-1
+ Revision: 636884
- 0.97

* Wed Dec 01 2010 Oden Eriksson <oeriksson@mandriva.com> 0.96.5-1mdv2011.0
+ Revision: 604293
- 0.96.5

* Tue Oct 26 2010 Oden Eriksson <oeriksson@mandriva.com> 0.96.4-1mdv2011.0
+ Revision: 589385
- 0.96.4
- fix #61100 (Duplicate configure options in the spec file for clamav)

* Wed Sep 22 2010 Oden Eriksson <oeriksson@mandriva.com> 0.96.3-2mdv2011.0
+ Revision: 580585
- fix funky backporting magic

* Tue Sep 21 2010 Oden Eriksson <oeriksson@mandriva.com> 0.96.3-1mdv2011.0
+ Revision: 580388
- 0.96.3

* Mon Aug 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.96.2-1mdv2011.0
+ Revision: 570415
- 0.96.2

* Tue Jul 27 2010 Oden Eriksson <oeriksson@mandriva.com> 0.96.1-2mdv2011.0
+ Revision: 561861
- fix license violation

* Thu Jul 22 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.96.1-1mdv2011.0
+ Revision: 556750
- 0.96.1

* Sun Jun 06 2010 Colin Guthrie <cguthrie@mandriva.org> 0.96-1mdv2010.1
+ Revision: 547159
- Fix conditional rel/subrel to ensure version is > 2010.0 update version

* Thu Apr 01 2010 Oden Eriksson <oeriksson@mandriva.com> 0.96-0.1mdv2010.1
+ Revision: 530628
- 0.96
- rediffed some patches
- slight spec file cleanup

* Thu Oct 29 2009 Oden Eriksson <oeriksson@mandriva.com> 0.95.3-1mdv2010.0
+ Revision: 459950
- 0.95.3

  + Thierry Vignaud <tv@mandriva.org>
    - do not package huge ChangeLog

* Thu Jun 11 2009 Oden Eriksson <oeriksson@mandriva.com> 0.95.2-1mdv2010.0
+ Revision: 385066
- 0.95.2

* Wed Jun 10 2009 Oden Eriksson <oeriksson@mandriva.com> 0.95.1-3mdv2010.0
+ Revision: 384961
- fix #51558 (Need variable FRESHCLAM_OPT to add options to freshclam when starting)

* Mon Apr 13 2009 Dimitri Teleguin <mitya@mandriva.org> 0.95.1-2mdv2009.1
+ Revision: 366785
- bump rel
- Bring clamav-milter back to life

* Thu Apr 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0.95.1-1mdv2009.1
+ Revision: 365397
- 0.95.1 (bugfix release)
- rediffed the mdv_conf patch
- drop the MaxQueue patch, it's implemented upstream

* Mon Apr 06 2009 Oden Eriksson <oeriksson@mandriva.com> 0.95-1mdv2009.1
+ Revision: 364442
- 0.95
- take the same stance as redhat and debian and nuke the rar v3
  code (libclamav) due to licensing and patent issues
- rediff patches
- added some patches from fedora

* Wed Mar 18 2009 Oden Eriksson <oeriksson@mandriva.com> 0.94.2-5mdv2009.1
+ Revision: 357201
- fix #48633 (Fix for -Werror=format-security breaks clamav-milter)

* Tue Feb 03 2009 Oden Eriksson <oeriksson@mandriva.com> 0.94.2-4mdv2009.1
+ Revision: 336905
- fix #46554 (Clamav-milter requires _disable_ld_as_needed)
- fix #46555 (clamav-milter-0.94 not included in 2009.0)
- fix #46556 (Clamav-milter wants to remove postfix)
- fixed linkage order for clamav-milter (P1)
- fixed build with -Werror=format-security (P2)

* Thu Dec 18 2008 Oden Eriksson <oeriksson@mandriva.com> 0.94.2-3mdv2009.1
+ Revision: 315513
- fix #46459 (update unexpectely changes location of clamd socket)

* Fri Dec 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.94.2-2mdv2009.1
+ Revision: 310774
- fix backporting (vdanen)

* Wed Dec 03 2008 Jérôme Soyer <saispo@mandriva.org> 0.94.2-1mdv2009.1
+ Revision: 309669
- New Release 0.94.2

* Fri Nov 14 2008 Oden Eriksson <oeriksson@mandriva.com> 0.94.1-3mdv2009.1
+ Revision: 303199
- make it build on 2007.1 as well

* Tue Nov 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.94.1-2mdv2009.1
+ Revision: 299654
- make it build on cs4 (funky libtool)

* Mon Nov 03 2008 Oden Eriksson <oeriksson@mandriva.com> 0.94.1-1mdv2009.1
+ Revision: 299630
- 0.94.1
- 0.94.1rc1

* Fri Sep 12 2008 Oden Eriksson <oeriksson@mandriva.com> 0.94-2mdv2009.0
+ Revision: 284145
- get rid of the "-exp" warning

* Thu Sep 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.94-1mdv2009.0
+ Revision: 280461
- 0.94

* Tue Jul 08 2008 Oden Eriksson <oeriksson@mandriva.com> 0.93.3-1mdv2009.0
+ Revision: 232784
- 0.93.3

* Tue Jun 10 2008 Oden Eriksson <oeriksson@mandriva.com> 0.93.1-1mdv2009.0
+ Revision: 217476
- 0.93.1
- hardcode %%{_localstatedir}
- disable building the sendmail milter for now
- clamdmon is gone, bye bye...
- 0.93.1rc1

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Wed Apr 16 2008 Oden Eriksson <oeriksson@mandriva.com> 0.93-1mdv2009.0
+ Revision: 194684
- 0.93
- new major (4)
- rediffed P0
- revert the "conform to the 2008 specs (don't start the services per
  default)" changes in S2 and S4 and let this be handled some other way...

* Wed Mar 26 2008 Oden Eriksson <oeriksson@mandriva.com> 0.92.1-2mdv2008.1
+ Revision: 190310
- really don't start the services per default

* Tue Feb 12 2008 Oden Eriksson <oeriksson@mandriva.com> 0.92.1-1mdv2008.1
+ Revision: 166108
- 0.92.1 (Minor security fixes)

* Wed Jan 23 2008 Thierry Vignaud <tv@mandriva.org> 0.92-5mdv2008.1
+ Revision: 157241
- rebuild with fixed %%serverbuild macro

* Thu Jan 10 2008 Oden Eriksson <oeriksson@mandriva.com> 0.92-4mdv2008.1
+ Revision: 147552
- gcc 4.0.1 is fixed in cs4, so no need to use gcc3.3 anymore

* Wed Jan 09 2008 Oden Eriksson <oeriksson@mandriva.com> 0.92-3mdv2008.1
+ Revision: 147360
- revert some of the last changes (vdanen)

* Wed Jan 09 2008 Oden Eriksson <oeriksson@mandriva.com> 0.92-2mdv2008.1
+ Revision: 147209
- added changes requested by vdanen
- minor spec file changes

* Tue Dec 18 2007 Oden Eriksson <oeriksson@mandriva.com> 0.92-1mdv2008.1
+ Revision: 132269
- 0.92
- make it build on cs4 with gcc3.3 due to a bug in gcc-4.0.1
- rediffed P0

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 02 2007 Oden Eriksson <oeriksson@mandriva.com> 0.91.2-4mdv2008.0
+ Revision: 78192
- rebuild

* Sun Sep 02 2007 Oden Eriksson <oeriksson@mandriva.com> 0.91.2-3mdv2008.0
+ Revision: 78037
- rebuild

* Sat Sep 01 2007 Oden Eriksson <oeriksson@mandriva.com> 0.91.2-2mdv2008.0
+ Revision: 77596
- fix deps (duh!)

* Tue Aug 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.91.2-1mdv2008.0
+ Revision: 68357
- 0.91.2 (Minor security fixes)
- conform to the 2008 specs (don't start the services per default)

* Thu Jul 26 2007 Oden Eriksson <oeriksson@mandriva.com> 0.91.1-2mdv2008.0
+ Revision: 55927
- applied a patch by vdanen:
  - spec adjustments to build for older releases (like firefox, we'll take the cooker
    spec to build for all supported platforms)

* Tue Jul 17 2007 Oden Eriksson <oeriksson@mandriva.com> 0.91.1-1mdv2008.0
+ Revision: 52851
- 0.91.1
- drop upstream implemented patches
- only the clamav package now provides /etc/clamd.conf, fix deps accordingly

* Mon Jul 16 2007 Oden Eriksson <oeriksson@mandriva.com> 0.91-3mdv2008.0
+ Revision: 52445
- grab the diff (P1) from svn instead

  + Giuseppe Ghibò <ghibo@mandriva.com>
    - Enabled FixStaleSocket in clamd.conf
    - Added Patch1 from svn about crashing in phishing check (from DEB).

* Thu Jul 12 2007 Oden Eriksson <oeriksson@mandriva.com> 0.91-2mdv2008.0
+ Revision: 51651
- clamav is in cs3, so some spec magic is still needed
- fix a small typo in the patch

* Wed Jul 11 2007 Oden Eriksson <oeriksson@mandriva.com> 0.91-1mdv2008.0
+ Revision: 51318
- 0.91
- rediffed P0
- spec file cleansing

* Sun Jun 24 2007 Oden Eriksson <oeriksson@mandriva.com> 0.90.3-2mdv2008.0
+ Revision: 43738
- use the new %%serverbuild macro
- enable experimental code (anti-phishing will be default in 0.91)

* Thu May 31 2007 Oden Eriksson <oeriksson@mandriva.com> 0.90.3-1mdv2008.0
+ Revision: 33141
- 0.90.3 (Minor security fixes)

* Wed May 30 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.90.2-5mdv2008.0
+ Revision: 32890
- Revert change of clamd.conf being duplicated in two subpackages, talk
  with Oden.

* Thu May 10 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.90.2-4mdv2008.0
+ Revision: 26164
- Duh, disregard my last commit where it says "clamd.conf belongs to
  clamav package files section". clamd.conf obviously must be part of
  clamd package, so the duplicated entry removed should be the one
  inside clamav. Also, move clamd.conf manpage to the right place.

* Thu May 10 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.90.2-3mdv2008.0
+ Revision: 26002
- Removed duplicated entry of clamd.conf file inside clamd subpackage
  files section (clamd.conf belongs to clamav package files section).

* Tue May 08 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.90.2-2mdv2008.0
+ Revision: 25350
- Enabled AllowSupplementaryGroups in default clamd.conf shipped with
  package (mdv-config patch). This allows clamav to be used with amavis
  as reported by Colin Guthrie on ticket #30536.

* Tue Apr 17 2007 Oden Eriksson <oeriksson@mandriva.com> 0.90.2-1mdv2008.0
+ Revision: 14031
- 0.90.2

